Makefile.in 39 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576777879808182838485868788899091929394959697989910010110210310410510610710810911011111211311411511611711811912012112212312412512612712812913013113213313413513613713813914014114214314414514614714814915015115215315415515615715815916016116216316416516616716816917017117217317417517617717817918018118218318418518618718818919019119219319419519619719819920020120220320420520620720820921021121221321421521621721821922022122222322422522622722822923023123223323423523623723823924024124224324424524624724824925025125225325425525625725825926026126226326426526626726826927027127227327427527627727827928028128228328428528628728828929029129229329429529629729829930030130230330430530630730830931031131231331431531631731831932032132232332432532632732832933033133233333433533633733833934034134234334434534634734834935035135235335435535635735835936036136236336436536636736836937037137237337437537637737837938038138238338438538638738838939039139239339439539639739839940040140240340440540640740840941041141241341441541641741841942042142242342442542642742842943043143243343443543643743843944044144244344444544644744844945045145245345445545645745845946046146246346446546646746846947047147247347447547647747847948048148248348448548648748848949049149249349449549649749849950050150250350450550650750850951051151251351451551651751851952052152252352452552652752852953053153253353453553653753853954054154254354454554654754854955055155255355455555655755855956056156256356456556656756856957057157257357457557657757857958058158258358458558658758858959059159259359459559659759859960060160260360460560660760860961061161261361461561661761861962062162262362462562662762862963063163263363463563663763863964064164264364464564664764864965065165265365465565665765865966066166266366466566666766866967067167267367467567667767867968068168268368468568668768868969069169269369469569669769869970070170270370470570670770870971071171271371471571671771871972072172272372472572672772872973073173273373473573673773873974074174274374474574674774874975075175275375475575675775875976076176276376476576676776876977077177277377477577677777877978078178278378478578678778878979079179279379479579679779879980080180280380480580680780880981081181281381481581681781881982082182282382482582682782882983083183283383483583683783883984084184284384484584684784884985085185285385485585685785885986086186286386486586686786886987087187287387487587687787887988088188288388488588688788888989089189289389489589689789889990090190290390490590690790890991091191291391491591691791891992092192292392492592692792892993093193293393493593693793893994094194294394494594694794894995095195295395495595695795895996096196296396496596696796896997097197297397497597697797897998098198298398498598698798898999099199299399499599699799899910001001100210031004100510061007100810091010101110121013101410151016101710181019102010211022102310241025102610271028102910301031103210331034103510361037103810391040104110421043104410451046104710481049105010511052105310541055105610571058105910601061106210631064106510661067106810691070107110721073107410751076107710781079108010811082108310841085108610871088108910901091109210931094109510961097109810991100110111021103110411051106110711081109111011111112111311141115111611171118111911201121112211231124112511261127112811291130113111321133113411351136113711381139114011411142114311441145114611471148114911501151115211531154115511561157115811591160116111621163116411651166116711681169117011711172117311741175117611771178117911801181
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. #
  13. # Copyright (c) 2005, 2006, 2009 Thorsten Kukuk <kukuk@suse.de>
  14. #
  15. VPATH = @srcdir@
  16. am__is_gnu_make = { \
  17. if test -z '$(MAKELEVEL)'; then \
  18. false; \
  19. elif test -n '$(MAKE_HOST)'; then \
  20. true; \
  21. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  22. true; \
  23. else \
  24. false; \
  25. fi; \
  26. }
  27. am__make_running_with_option = \
  28. case $${target_option-} in \
  29. ?) ;; \
  30. *) echo "am__make_running_with_option: internal error: invalid" \
  31. "target option '$${target_option-}' specified" >&2; \
  32. exit 1;; \
  33. esac; \
  34. has_opt=no; \
  35. sane_makeflags=$$MAKEFLAGS; \
  36. if $(am__is_gnu_make); then \
  37. sane_makeflags=$$MFLAGS; \
  38. else \
  39. case $$MAKEFLAGS in \
  40. *\\[\ \ ]*) \
  41. bs=\\; \
  42. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  43. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  44. esac; \
  45. fi; \
  46. skip_next=no; \
  47. strip_trailopt () \
  48. { \
  49. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  50. }; \
  51. for flg in $$sane_makeflags; do \
  52. test $$skip_next = yes && { skip_next=no; continue; }; \
  53. case $$flg in \
  54. *=*|--*) continue;; \
  55. -*I) strip_trailopt 'I'; skip_next=yes;; \
  56. -*I?*) strip_trailopt 'I';; \
  57. -*O) strip_trailopt 'O'; skip_next=yes;; \
  58. -*O?*) strip_trailopt 'O';; \
  59. -*l) strip_trailopt 'l'; skip_next=yes;; \
  60. -*l?*) strip_trailopt 'l';; \
  61. -[dEDm]) skip_next=yes;; \
  62. -[JT]) skip_next=yes;; \
  63. esac; \
  64. case $$flg in \
  65. *$$target_option*) has_opt=yes; break;; \
  66. esac; \
  67. done; \
  68. test $$has_opt = yes
  69. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  70. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  71. pkgdatadir = $(datadir)/@PACKAGE@
  72. pkgincludedir = $(includedir)/@PACKAGE@
  73. pkglibdir = $(libdir)/@PACKAGE@
  74. pkglibexecdir = $(libexecdir)/@PACKAGE@
  75. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  76. install_sh_DATA = $(install_sh) -c -m 644
  77. install_sh_PROGRAM = $(install_sh) -c
  78. install_sh_SCRIPT = $(install_sh) -c
  79. INSTALL_HEADER = $(INSTALL_DATA)
  80. transform = $(program_transform_name)
  81. NORMAL_INSTALL = :
  82. PRE_INSTALL = :
  83. POST_INSTALL = :
  84. NORMAL_UNINSTALL = :
  85. PRE_UNINSTALL = :
  86. POST_UNINSTALL = :
  87. build_triplet = @build@
  88. host_triplet = @host@
  89. @HAVE_VERSIONING_TRUE@am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  90. check_PROGRAMS = tst-pam_localuser-retval$(EXEEXT)
  91. subdir = modules/pam_localuser
  92. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  93. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  94. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  95. $(top_srcdir)/m4/intlmacosx.m4 \
  96. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  97. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  98. $(top_srcdir)/m4/ld-no-undefined.m4 \
  99. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  100. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  101. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  102. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  103. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  104. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  105. $(top_srcdir)/m4/progtest.m4 \
  106. $(top_srcdir)/m4/warn_lang_flags.m4 \
  107. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  108. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  109. $(ACLOCAL_M4)
  110. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  111. $(am__dist_noinst_DATA_DIST) $(am__DIST_COMMON)
  112. mkinstalldirs = $(install_sh) -d
  113. CONFIG_HEADER = $(top_builddir)/config.h
  114. CONFIG_CLEAN_FILES =
  115. CONFIG_CLEAN_VPATH_FILES =
  116. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  117. am__vpath_adj = case $$p in \
  118. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  119. *) f=$$p;; \
  120. esac;
  121. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  122. am__install_max = 40
  123. am__nobase_strip_setup = \
  124. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  125. am__nobase_strip = \
  126. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  127. am__nobase_list = $(am__nobase_strip_setup); \
  128. for p in $$list; do echo "$$p $$p"; done | \
  129. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  130. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  131. if (++n[$$2] == $(am__install_max)) \
  132. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  133. END { for (dir in files) print dir, files[dir] }'
  134. am__base_list = \
  135. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  136. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  137. am__uninstall_files_from_dir = { \
  138. test -z "$$files" \
  139. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  140. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  141. $(am__cd) "$$dir" && rm -f $$files; }; \
  142. }
  143. am__installdirs = "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"
  144. LTLIBRARIES = $(securelib_LTLIBRARIES)
  145. pam_localuser_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  146. pam_localuser_la_SOURCES = pam_localuser.c
  147. pam_localuser_la_OBJECTS = pam_localuser.lo
  148. AM_V_lt = $(am__v_lt_@AM_V@)
  149. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  150. am__v_lt_0 = --silent
  151. am__v_lt_1 =
  152. tst_pam_localuser_retval_SOURCES = tst-pam_localuser-retval.c
  153. tst_pam_localuser_retval_OBJECTS = tst-pam_localuser-retval.$(OBJEXT)
  154. tst_pam_localuser_retval_DEPENDENCIES = \
  155. $(top_builddir)/libpam/libpam.la
  156. AM_V_P = $(am__v_P_@AM_V@)
  157. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  158. am__v_P_0 = false
  159. am__v_P_1 = :
  160. AM_V_GEN = $(am__v_GEN_@AM_V@)
  161. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  162. am__v_GEN_0 = @echo " GEN " $@;
  163. am__v_GEN_1 =
  164. AM_V_at = $(am__v_at_@AM_V@)
  165. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  166. am__v_at_0 = @
  167. am__v_at_1 =
  168. DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
  169. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  170. am__maybe_remake_depfiles = depfiles
  171. am__depfiles_remade = ./$(DEPDIR)/pam_localuser.Plo \
  172. ./$(DEPDIR)/tst-pam_localuser-retval.Po
  173. am__mv = mv -f
  174. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  175. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  176. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  177. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  178. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  179. $(AM_CFLAGS) $(CFLAGS)
  180. AM_V_CC = $(am__v_CC_@AM_V@)
  181. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  182. am__v_CC_0 = @echo " CC " $@;
  183. am__v_CC_1 =
  184. CCLD = $(CC)
  185. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  186. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  187. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  188. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  189. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  190. am__v_CCLD_0 = @echo " CCLD " $@;
  191. am__v_CCLD_1 =
  192. SOURCES = pam_localuser.c tst-pam_localuser-retval.c
  193. DIST_SOURCES = pam_localuser.c tst-pam_localuser-retval.c
  194. am__can_run_installinfo = \
  195. case $$AM_UPDATE_INFO_DIR in \
  196. n|no|NO) false;; \
  197. *) (install-info --version) >/dev/null 2>&1;; \
  198. esac
  199. man8dir = $(mandir)/man8
  200. NROFF = nroff
  201. MANS = $(dist_man_MANS)
  202. am__dist_noinst_DATA_DIST = README
  203. DATA = $(dist_noinst_DATA)
  204. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  205. # Read a list of newline-separated strings from the standard input,
  206. # and print each of them once, without duplicates. Input order is
  207. # *not* preserved.
  208. am__uniquify_input = $(AWK) '\
  209. BEGIN { nonempty = 0; } \
  210. { items[$$0] = 1; nonempty = 1; } \
  211. END { if (nonempty) { for (i in items) print i; }; } \
  212. '
  213. # Make sure the list of sources is unique. This is necessary because,
  214. # e.g., the same source file might be shared among _SOURCES variables
  215. # for different programs/libraries.
  216. am__define_uniq_tagged_files = \
  217. list='$(am__tagged_files)'; \
  218. unique=`for i in $$list; do \
  219. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  220. done | $(am__uniquify_input)`
  221. ETAGS = etags
  222. CTAGS = ctags
  223. am__tty_colors_dummy = \
  224. mgn= red= grn= lgn= blu= brg= std=; \
  225. am__color_tests=no
  226. am__tty_colors = { \
  227. $(am__tty_colors_dummy); \
  228. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  229. am__color_tests=no; \
  230. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  231. am__color_tests=yes; \
  232. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  233. am__color_tests=yes; \
  234. fi; \
  235. if test $$am__color_tests = yes; then \
  236. red=''; \
  237. grn=''; \
  238. lgn=''; \
  239. blu=''; \
  240. mgn=''; \
  241. brg=''; \
  242. std=''; \
  243. fi; \
  244. }
  245. am__recheck_rx = ^[ ]*:recheck:[ ]*
  246. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  247. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  248. # A command that, given a newline-separated list of test names on the
  249. # standard input, print the name of the tests that are to be re-run
  250. # upon "make recheck".
  251. am__list_recheck_tests = $(AWK) '{ \
  252. recheck = 1; \
  253. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  254. { \
  255. if (rc < 0) \
  256. { \
  257. if ((getline line2 < ($$0 ".log")) < 0) \
  258. recheck = 0; \
  259. break; \
  260. } \
  261. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  262. { \
  263. recheck = 0; \
  264. break; \
  265. } \
  266. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  267. { \
  268. break; \
  269. } \
  270. }; \
  271. if (recheck) \
  272. print $$0; \
  273. close ($$0 ".trs"); \
  274. close ($$0 ".log"); \
  275. }'
  276. # A command that, given a newline-separated list of test names on the
  277. # standard input, create the global log from their .trs and .log files.
  278. am__create_global_log = $(AWK) ' \
  279. function fatal(msg) \
  280. { \
  281. print "fatal: making $@: " msg | "cat >&2"; \
  282. exit 1; \
  283. } \
  284. function rst_section(header) \
  285. { \
  286. print header; \
  287. len = length(header); \
  288. for (i = 1; i <= len; i = i + 1) \
  289. printf "="; \
  290. printf "\n\n"; \
  291. } \
  292. { \
  293. copy_in_global_log = 1; \
  294. global_test_result = "RUN"; \
  295. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  296. { \
  297. if (rc < 0) \
  298. fatal("failed to read from " $$0 ".trs"); \
  299. if (line ~ /$(am__global_test_result_rx)/) \
  300. { \
  301. sub("$(am__global_test_result_rx)", "", line); \
  302. sub("[ ]*$$", "", line); \
  303. global_test_result = line; \
  304. } \
  305. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  306. copy_in_global_log = 0; \
  307. }; \
  308. if (copy_in_global_log) \
  309. { \
  310. rst_section(global_test_result ": " $$0); \
  311. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  312. { \
  313. if (rc < 0) \
  314. fatal("failed to read from " $$0 ".log"); \
  315. print line; \
  316. }; \
  317. printf "\n"; \
  318. }; \
  319. close ($$0 ".trs"); \
  320. close ($$0 ".log"); \
  321. }'
  322. # Restructured Text title.
  323. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  324. # Solaris 10 'make', and several other traditional 'make' implementations,
  325. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  326. # by disabling -e (using the XSI extension "set +e") if it's set.
  327. am__sh_e_setup = case $$- in *e*) set +e;; esac
  328. # Default flags passed to test drivers.
  329. am__common_driver_flags = \
  330. --color-tests "$$am__color_tests" \
  331. --enable-hard-errors "$$am__enable_hard_errors" \
  332. --expect-failure "$$am__expect_failure"
  333. # To be inserted before the command running the test. Creates the
  334. # directory for the log if needed. Stores in $dir the directory
  335. # containing $f, in $tst the test, in $log the log. Executes the
  336. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  337. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  338. # will run the test scripts (or their associated LOG_COMPILER, if
  339. # thy have one).
  340. am__check_pre = \
  341. $(am__sh_e_setup); \
  342. $(am__vpath_adj_setup) $(am__vpath_adj) \
  343. $(am__tty_colors); \
  344. srcdir=$(srcdir); export srcdir; \
  345. case "$@" in \
  346. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  347. *) am__odir=.;; \
  348. esac; \
  349. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  350. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  351. if test -f "./$$f"; then dir=./; \
  352. elif test -f "$$f"; then dir=; \
  353. else dir="$(srcdir)/"; fi; \
  354. tst=$$dir$$f; log='$@'; \
  355. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  356. am__enable_hard_errors=no; \
  357. else \
  358. am__enable_hard_errors=yes; \
  359. fi; \
  360. case " $(XFAIL_TESTS) " in \
  361. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  362. am__expect_failure=yes;; \
  363. *) \
  364. am__expect_failure=no;; \
  365. esac; \
  366. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  367. # A shell command to get the names of the tests scripts with any registered
  368. # extension removed (i.e., equivalently, the names of the test logs, with
  369. # the '.log' extension removed). The result is saved in the shell variable
  370. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  371. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  372. # since that might cause problem with VPATH rewrites for suffix-less tests.
  373. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  374. am__set_TESTS_bases = \
  375. bases='$(TEST_LOGS)'; \
  376. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  377. bases=`echo $$bases`
  378. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  379. RECHECK_LOGS = $(TEST_LOGS)
  380. AM_RECURSIVE_TARGETS = check recheck
  381. TEST_SUITE_LOG = test-suite.log
  382. TEST_EXTENSIONS = @EXEEXT@ .test
  383. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  384. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  385. am__set_b = \
  386. case '$@' in \
  387. */*) \
  388. case '$*' in \
  389. */*) b='$*';; \
  390. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  391. esac;; \
  392. *) \
  393. b='$*';; \
  394. esac
  395. am__test_logs1 = $(TESTS:=.log)
  396. am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  397. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  398. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  399. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  400. $(TEST_LOG_FLAGS)
  401. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  402. $(top_srcdir)/build-aux/depcomp \
  403. $(top_srcdir)/build-aux/test-driver
  404. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  405. ACLOCAL = @ACLOCAL@
  406. AMTAR = @AMTAR@
  407. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  408. AR = @AR@
  409. AUTOCONF = @AUTOCONF@
  410. AUTOHEADER = @AUTOHEADER@
  411. AUTOMAKE = @AUTOMAKE@
  412. AWK = @AWK@
  413. BROWSER = @BROWSER@
  414. BUILD_CFLAGS = @BUILD_CFLAGS@
  415. BUILD_CPPFLAGS = @BUILD_CPPFLAGS@
  416. BUILD_LDFLAGS = @BUILD_LDFLAGS@
  417. CC = @CC@
  418. CCDEPMODE = @CCDEPMODE@
  419. CC_FOR_BUILD = @CC_FOR_BUILD@
  420. CFLAGS = @CFLAGS@
  421. CPP = @CPP@
  422. CPPFLAGS = @CPPFLAGS@
  423. CRYPTO_LIBS = @CRYPTO_LIBS@
  424. CRYPT_CFLAGS = @CRYPT_CFLAGS@
  425. CRYPT_LIBS = @CRYPT_LIBS@
  426. CYGPATH_W = @CYGPATH_W@
  427. DEFS = @DEFS@
  428. DEPDIR = @DEPDIR@
  429. DLLTOOL = @DLLTOOL@
  430. DSYMUTIL = @DSYMUTIL@
  431. DUMPBIN = @DUMPBIN@
  432. ECHO_C = @ECHO_C@
  433. ECHO_N = @ECHO_N@
  434. ECHO_T = @ECHO_T@
  435. ECONF_CFLAGS = @ECONF_CFLAGS@
  436. ECONF_LIBS = @ECONF_LIBS@
  437. EGREP = @EGREP@
  438. EXEEXT = @EXEEXT@
  439. EXE_CFLAGS = @EXE_CFLAGS@
  440. EXE_LDFLAGS = @EXE_LDFLAGS@
  441. FGREP = @FGREP@
  442. FO2PDF = @FO2PDF@
  443. GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
  444. GMSGFMT = @GMSGFMT@
  445. GMSGFMT_015 = @GMSGFMT_015@
  446. GREP = @GREP@
  447. INSTALL = @INSTALL@
  448. INSTALL_DATA = @INSTALL_DATA@
  449. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  450. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  451. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  452. INTLLIBS = @INTLLIBS@
  453. INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
  454. LD = @LD@
  455. LDFLAGS = @LDFLAGS@
  456. LEX = @LEX@
  457. LEXLIB = @LEXLIB@
  458. LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
  459. LIBAUDIT = @LIBAUDIT@
  460. LIBCRYPT = @LIBCRYPT@
  461. LIBDB = @LIBDB@
  462. LIBDL = @LIBDL@
  463. LIBICONV = @LIBICONV@
  464. LIBINTL = @LIBINTL@
  465. LIBOBJS = @LIBOBJS@
  466. LIBPRELUDE_CFLAGS = @LIBPRELUDE_CFLAGS@
  467. LIBPRELUDE_CONFIG = @LIBPRELUDE_CONFIG@
  468. LIBPRELUDE_CONFIG_PREFIX = @LIBPRELUDE_CONFIG_PREFIX@
  469. LIBPRELUDE_LDFLAGS = @LIBPRELUDE_LDFLAGS@
  470. LIBPRELUDE_LIBS = @LIBPRELUDE_LIBS@
  471. LIBPRELUDE_PREFIX = @LIBPRELUDE_PREFIX@
  472. LIBPRELUDE_PTHREAD_CFLAGS = @LIBPRELUDE_PTHREAD_CFLAGS@
  473. LIBS = @LIBS@
  474. LIBSELINUX = @LIBSELINUX@
  475. LIBTOOL = @LIBTOOL@
  476. LIPO = @LIPO@
  477. LN_S = @LN_S@
  478. LTLIBICONV = @LTLIBICONV@
  479. LTLIBINTL = @LTLIBINTL@
  480. LTLIBOBJS = @LTLIBOBJS@
  481. LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  482. MAKEINFO = @MAKEINFO@
  483. MANIFEST_TOOL = @MANIFEST_TOOL@
  484. MKDIR_P = @MKDIR_P@
  485. MSGFMT = @MSGFMT@
  486. MSGFMT_015 = @MSGFMT_015@
  487. MSGMERGE = @MSGMERGE@
  488. NIS_CFLAGS = @NIS_CFLAGS@
  489. NIS_LIBS = @NIS_LIBS@
  490. NM = @NM@
  491. NMEDIT = @NMEDIT@
  492. NSL_CFLAGS = @NSL_CFLAGS@
  493. NSL_LIBS = @NSL_LIBS@
  494. OBJDUMP = @OBJDUMP@
  495. OBJEXT = @OBJEXT@
  496. OTOOL = @OTOOL@
  497. OTOOL64 = @OTOOL64@
  498. PACKAGE = @PACKAGE@
  499. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  500. PACKAGE_NAME = @PACKAGE_NAME@
  501. PACKAGE_STRING = @PACKAGE_STRING@
  502. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  503. PACKAGE_URL = @PACKAGE_URL@
  504. PACKAGE_VERSION = @PACKAGE_VERSION@
  505. PATH_SEPARATOR = @PATH_SEPARATOR@
  506. PKG_CONFIG = @PKG_CONFIG@
  507. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  508. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  509. POSUB = @POSUB@
  510. RANLIB = @RANLIB@
  511. SCONFIGDIR = @SCONFIGDIR@
  512. SECUREDIR = @SECUREDIR@
  513. SED = @SED@
  514. SET_MAKE = @SET_MAKE@
  515. SHELL = @SHELL@
  516. STRINGPARAM_HMAC = @STRINGPARAM_HMAC@
  517. STRINGPARAM_VENDORDIR = @STRINGPARAM_VENDORDIR@
  518. STRIP = @STRIP@
  519. TIRPC_CFLAGS = @TIRPC_CFLAGS@
  520. TIRPC_LIBS = @TIRPC_LIBS@
  521. USE_NLS = @USE_NLS@
  522. VERSION = @VERSION@
  523. WARN_CFLAGS = @WARN_CFLAGS@
  524. XGETTEXT = @XGETTEXT@
  525. XGETTEXT_015 = @XGETTEXT_015@
  526. XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
  527. XMLCATALOG = @XMLCATALOG@
  528. XMLLINT = @XMLLINT@
  529. XML_CATALOG_FILE = @XML_CATALOG_FILE@
  530. XSLTPROC = @XSLTPROC@
  531. YACC = @YACC@
  532. YFLAGS = @YFLAGS@
  533. abs_builddir = @abs_builddir@
  534. abs_srcdir = @abs_srcdir@
  535. abs_top_builddir = @abs_top_builddir@
  536. abs_top_srcdir = @abs_top_srcdir@
  537. ac_ct_AR = @ac_ct_AR@
  538. ac_ct_CC = @ac_ct_CC@
  539. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  540. am__include = @am__include@
  541. am__leading_dot = @am__leading_dot@
  542. am__quote = @am__quote@
  543. am__tar = @am__tar@
  544. am__untar = @am__untar@
  545. bindir = @bindir@
  546. build = @build@
  547. build_alias = @build_alias@
  548. build_cpu = @build_cpu@
  549. build_os = @build_os@
  550. build_vendor = @build_vendor@
  551. builddir = @builddir@
  552. datadir = @datadir@
  553. datarootdir = @datarootdir@
  554. docdir = @docdir@
  555. dvidir = @dvidir@
  556. exec_prefix = @exec_prefix@
  557. host = @host@
  558. host_alias = @host_alias@
  559. host_cpu = @host_cpu@
  560. host_os = @host_os@
  561. host_vendor = @host_vendor@
  562. htmldir = @htmldir@
  563. includedir = @includedir@
  564. infodir = @infodir@
  565. install_sh = @install_sh@
  566. libdir = @libdir@
  567. libexecdir = @libexecdir@
  568. localedir = @localedir@
  569. localstatedir = @localstatedir@
  570. mandir = @mandir@
  571. mkdir_p = @mkdir_p@
  572. oldincludedir = @oldincludedir@
  573. pam_xauth_path = @pam_xauth_path@
  574. pdfdir = @pdfdir@
  575. prefix = @prefix@
  576. program_transform_name = @program_transform_name@
  577. psdir = @psdir@
  578. sbindir = @sbindir@
  579. sharedstatedir = @sharedstatedir@
  580. srcdir = @srcdir@
  581. sysconfdir = @sysconfdir@
  582. systemdunitdir = @systemdunitdir@
  583. target_alias = @target_alias@
  584. top_build_prefix = @top_build_prefix@
  585. top_builddir = @top_builddir@
  586. top_srcdir = @top_srcdir@
  587. CLEANFILES = *~
  588. MAINTAINERCLEANFILES = $(MANS) README
  589. EXTRA_DIST = $(XMLS)
  590. @HAVE_DOC_TRUE@dist_man_MANS = pam_localuser.8
  591. XMLS = README.xml pam_localuser.8.xml
  592. dist_check_SCRIPTS = tst-pam_localuser
  593. TESTS = $(dist_check_SCRIPTS) $(check_PROGRAMS)
  594. securelibdir = $(SECUREDIR)
  595. secureconfdir = $(SCONFIGDIR)
  596. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  597. $(WARN_CFLAGS)
  598. AM_LDFLAGS = -no-undefined -avoid-version -module $(am__append_1)
  599. securelib_LTLIBRARIES = pam_localuser.la
  600. pam_localuser_la_LIBADD = $(top_builddir)/libpam/libpam.la
  601. tst_pam_localuser_retval_LDADD = $(top_builddir)/libpam/libpam.la
  602. @ENABLE_REGENERATE_MAN_TRUE@dist_noinst_DATA = README
  603. all: all-am
  604. .SUFFIXES:
  605. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  606. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  607. @for dep in $?; do \
  608. case '$(am__configure_deps)' in \
  609. *$$dep*) \
  610. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  611. && { if test -f $@; then exit 0; else break; fi; }; \
  612. exit 1;; \
  613. esac; \
  614. done; \
  615. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_localuser/Makefile'; \
  616. $(am__cd) $(top_srcdir) && \
  617. $(AUTOMAKE) --gnu modules/pam_localuser/Makefile
  618. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  619. @case '$?' in \
  620. *config.status*) \
  621. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  622. *) \
  623. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  624. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  625. esac;
  626. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  627. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  628. $(top_srcdir)/configure: $(am__configure_deps)
  629. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  630. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  631. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  632. $(am__aclocal_m4_deps):
  633. clean-checkPROGRAMS:
  634. @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
  635. echo " rm -f" $$list; \
  636. rm -f $$list || exit $$?; \
  637. test -n "$(EXEEXT)" || exit 0; \
  638. list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  639. echo " rm -f" $$list; \
  640. rm -f $$list
  641. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  642. @$(NORMAL_INSTALL)
  643. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  644. list2=; for p in $$list; do \
  645. if test -f $$p; then \
  646. list2="$$list2 $$p"; \
  647. else :; fi; \
  648. done; \
  649. test -z "$$list2" || { \
  650. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  651. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  652. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  653. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  654. }
  655. uninstall-securelibLTLIBRARIES:
  656. @$(NORMAL_UNINSTALL)
  657. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  658. for p in $$list; do \
  659. $(am__strip_dir) \
  660. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  661. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  662. done
  663. clean-securelibLTLIBRARIES:
  664. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  665. @list='$(securelib_LTLIBRARIES)'; \
  666. locs=`for p in $$list; do echo $$p; done | \
  667. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  668. sort -u`; \
  669. test -z "$$locs" || { \
  670. echo rm -f $${locs}; \
  671. rm -f $${locs}; \
  672. }
  673. pam_localuser.la: $(pam_localuser_la_OBJECTS) $(pam_localuser_la_DEPENDENCIES) $(EXTRA_pam_localuser_la_DEPENDENCIES)
  674. $(AM_V_CCLD)$(LINK) -rpath $(securelibdir) $(pam_localuser_la_OBJECTS) $(pam_localuser_la_LIBADD) $(LIBS)
  675. tst-pam_localuser-retval$(EXEEXT): $(tst_pam_localuser_retval_OBJECTS) $(tst_pam_localuser_retval_DEPENDENCIES) $(EXTRA_tst_pam_localuser_retval_DEPENDENCIES)
  676. @rm -f tst-pam_localuser-retval$(EXEEXT)
  677. $(AM_V_CCLD)$(LINK) $(tst_pam_localuser_retval_OBJECTS) $(tst_pam_localuser_retval_LDADD) $(LIBS)
  678. mostlyclean-compile:
  679. -rm -f *.$(OBJEXT)
  680. distclean-compile:
  681. -rm -f *.tab.c
  682. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pam_localuser.Plo@am__quote@ # am--include-marker
  683. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tst-pam_localuser-retval.Po@am__quote@ # am--include-marker
  684. $(am__depfiles_remade):
  685. @$(MKDIR_P) $(@D)
  686. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  687. am--depfiles: $(am__depfiles_remade)
  688. .c.o:
  689. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  690. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  691. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  692. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  693. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  694. .c.obj:
  695. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  696. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  697. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  698. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  699. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  700. .c.lo:
  701. @am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  702. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  703. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  704. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  705. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
  706. mostlyclean-libtool:
  707. -rm -f *.lo
  708. clean-libtool:
  709. -rm -rf .libs _libs
  710. install-man8: $(dist_man_MANS)
  711. @$(NORMAL_INSTALL)
  712. @list1=''; \
  713. list2='$(dist_man_MANS)'; \
  714. test -n "$(man8dir)" \
  715. && test -n "`echo $$list1$$list2`" \
  716. || exit 0; \
  717. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  718. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  719. { for i in $$list1; do echo "$$i"; done; \
  720. if test -n "$$list2"; then \
  721. for i in $$list2; do echo "$$i"; done \
  722. | sed -n '/\.8[a-z]*$$/p'; \
  723. fi; \
  724. } | while read p; do \
  725. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  726. echo "$$d$$p"; echo "$$p"; \
  727. done | \
  728. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  729. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  730. sed 'N;N;s,\n, ,g' | { \
  731. list=; while read file base inst; do \
  732. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  733. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  734. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  735. fi; \
  736. done; \
  737. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  738. while read files; do \
  739. test -z "$$files" || { \
  740. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  741. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  742. done; }
  743. uninstall-man8:
  744. @$(NORMAL_UNINSTALL)
  745. @list=''; test -n "$(man8dir)" || exit 0; \
  746. files=`{ for i in $$list; do echo "$$i"; done; \
  747. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  748. sed -n '/\.8[a-z]*$$/p'; \
  749. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  750. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  751. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  752. ID: $(am__tagged_files)
  753. $(am__define_uniq_tagged_files); mkid -fID $$unique
  754. tags: tags-am
  755. TAGS: tags
  756. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  757. set x; \
  758. here=`pwd`; \
  759. $(am__define_uniq_tagged_files); \
  760. shift; \
  761. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  762. test -n "$$unique" || unique=$$empty_fix; \
  763. if test $$# -gt 0; then \
  764. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  765. "$$@" $$unique; \
  766. else \
  767. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  768. $$unique; \
  769. fi; \
  770. fi
  771. ctags: ctags-am
  772. CTAGS: ctags
  773. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  774. $(am__define_uniq_tagged_files); \
  775. test -z "$(CTAGS_ARGS)$$unique" \
  776. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  777. $$unique
  778. GTAGS:
  779. here=`$(am__cd) $(top_builddir) && pwd` \
  780. && $(am__cd) $(top_srcdir) \
  781. && gtags -i $(GTAGS_ARGS) "$$here"
  782. cscopelist: cscopelist-am
  783. cscopelist-am: $(am__tagged_files)
  784. list='$(am__tagged_files)'; \
  785. case "$(srcdir)" in \
  786. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  787. *) sdir=$(subdir)/$(srcdir) ;; \
  788. esac; \
  789. for i in $$list; do \
  790. if test -f "$$i"; then \
  791. echo "$(subdir)/$$i"; \
  792. else \
  793. echo "$$sdir/$$i"; \
  794. fi; \
  795. done >> $(top_builddir)/cscope.files
  796. distclean-tags:
  797. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  798. # Recover from deleted '.trs' file; this should ensure that
  799. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  800. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  801. # to avoid problems with "make -n".
  802. .log.trs:
  803. rm -f $< $@
  804. $(MAKE) $(AM_MAKEFLAGS) $<
  805. # Leading 'am--fnord' is there to ensure the list of targets does not
  806. # expand to empty, as could happen e.g. with make check TESTS=''.
  807. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  808. am--force-recheck:
  809. @:
  810. $(TEST_SUITE_LOG): $(TEST_LOGS)
  811. @$(am__set_TESTS_bases); \
  812. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  813. redo_bases=`for i in $$bases; do \
  814. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  815. done`; \
  816. if test -n "$$redo_bases"; then \
  817. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  818. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  819. if $(am__make_dryrun); then :; else \
  820. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  821. fi; \
  822. fi; \
  823. if test -n "$$am__remaking_logs"; then \
  824. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  825. "recursion detected" >&2; \
  826. elif test -n "$$redo_logs"; then \
  827. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  828. fi; \
  829. if $(am__make_dryrun); then :; else \
  830. st=0; \
  831. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  832. for i in $$redo_bases; do \
  833. test -f $$i.trs && test -r $$i.trs \
  834. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  835. test -f $$i.log && test -r $$i.log \
  836. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  837. done; \
  838. test $$st -eq 0 || exit 1; \
  839. fi
  840. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  841. ws='[ ]'; \
  842. results=`for b in $$bases; do echo $$b.trs; done`; \
  843. test -n "$$results" || results=/dev/null; \
  844. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  845. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  846. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  847. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  848. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  849. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  850. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  851. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  852. success=true; \
  853. else \
  854. success=false; \
  855. fi; \
  856. br='==================='; br=$$br$$br$$br$$br; \
  857. result_count () \
  858. { \
  859. if test x"$$1" = x"--maybe-color"; then \
  860. maybe_colorize=yes; \
  861. elif test x"$$1" = x"--no-color"; then \
  862. maybe_colorize=no; \
  863. else \
  864. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  865. fi; \
  866. shift; \
  867. desc=$$1 count=$$2; \
  868. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  869. color_start=$$3 color_end=$$std; \
  870. else \
  871. color_start= color_end=; \
  872. fi; \
  873. echo "$${color_start}# $$desc $$count$${color_end}"; \
  874. }; \
  875. create_testsuite_report () \
  876. { \
  877. result_count $$1 "TOTAL:" $$all "$$brg"; \
  878. result_count $$1 "PASS: " $$pass "$$grn"; \
  879. result_count $$1 "SKIP: " $$skip "$$blu"; \
  880. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  881. result_count $$1 "FAIL: " $$fail "$$red"; \
  882. result_count $$1 "XPASS:" $$xpass "$$red"; \
  883. result_count $$1 "ERROR:" $$error "$$mgn"; \
  884. }; \
  885. { \
  886. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  887. $(am__rst_title); \
  888. create_testsuite_report --no-color; \
  889. echo; \
  890. echo ".. contents:: :depth: 2"; \
  891. echo; \
  892. for b in $$bases; do echo $$b; done \
  893. | $(am__create_global_log); \
  894. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  895. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  896. if $$success; then \
  897. col="$$grn"; \
  898. else \
  899. col="$$red"; \
  900. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  901. fi; \
  902. echo "$${col}$$br$${std}"; \
  903. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  904. echo "$${col}$$br$${std}"; \
  905. create_testsuite_report --maybe-color; \
  906. echo "$$col$$br$$std"; \
  907. if $$success; then :; else \
  908. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  909. if test -n "$(PACKAGE_BUGREPORT)"; then \
  910. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  911. fi; \
  912. echo "$$col$$br$$std"; \
  913. fi; \
  914. $$success || exit 1
  915. check-TESTS: $(check_PROGRAMS) $(dist_check_SCRIPTS)
  916. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  917. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  918. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  919. @set +e; $(am__set_TESTS_bases); \
  920. log_list=`for i in $$bases; do echo $$i.log; done`; \
  921. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  922. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  923. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  924. exit $$?;
  925. recheck: all $(check_PROGRAMS) $(dist_check_SCRIPTS)
  926. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  927. @set +e; $(am__set_TESTS_bases); \
  928. bases=`for i in $$bases; do echo $$i; done \
  929. | $(am__list_recheck_tests)` || exit 1; \
  930. log_list=`for i in $$bases; do echo $$i.log; done`; \
  931. log_list=`echo $$log_list`; \
  932. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  933. am__force_recheck=am--force-recheck \
  934. TEST_LOGS="$$log_list"; \
  935. exit $$?
  936. tst-pam_localuser.log: tst-pam_localuser
  937. @p='tst-pam_localuser'; \
  938. b='tst-pam_localuser'; \
  939. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  940. --log-file $$b.log --trs-file $$b.trs \
  941. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  942. "$$tst" $(AM_TESTS_FD_REDIRECT)
  943. tst-pam_localuser-retval.log: tst-pam_localuser-retval$(EXEEXT)
  944. @p='tst-pam_localuser-retval$(EXEEXT)'; \
  945. b='tst-pam_localuser-retval'; \
  946. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  947. --log-file $$b.log --trs-file $$b.trs \
  948. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  949. "$$tst" $(AM_TESTS_FD_REDIRECT)
  950. .test.log:
  951. @p='$<'; \
  952. $(am__set_b); \
  953. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  954. --log-file $$b.log --trs-file $$b.trs \
  955. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  956. "$$tst" $(AM_TESTS_FD_REDIRECT)
  957. @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  958. @am__EXEEXT_TRUE@ @p='$<'; \
  959. @am__EXEEXT_TRUE@ $(am__set_b); \
  960. @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  961. @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
  962. @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  963. @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
  964. distdir: $(BUILT_SOURCES)
  965. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  966. distdir-am: $(DISTFILES)
  967. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  968. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  969. list='$(DISTFILES)'; \
  970. dist_files=`for file in $$list; do echo $$file; done | \
  971. sed -e "s|^$$srcdirstrip/||;t" \
  972. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  973. case $$dist_files in \
  974. */*) $(MKDIR_P) `echo "$$dist_files" | \
  975. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  976. sort -u` ;; \
  977. esac; \
  978. for file in $$dist_files; do \
  979. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  980. if test -d $$d/$$file; then \
  981. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  982. if test -d "$(distdir)/$$file"; then \
  983. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  984. fi; \
  985. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  986. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  987. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  988. fi; \
  989. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  990. else \
  991. test -f "$(distdir)/$$file" \
  992. || cp -p $$d/$$file "$(distdir)/$$file" \
  993. || exit 1; \
  994. fi; \
  995. done
  996. check-am: all-am
  997. $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) \
  998. $(dist_check_SCRIPTS)
  999. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1000. check: check-am
  1001. all-am: Makefile $(LTLIBRARIES) $(MANS) $(DATA)
  1002. installdirs:
  1003. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"; do \
  1004. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1005. done
  1006. install: install-am
  1007. install-exec: install-exec-am
  1008. install-data: install-data-am
  1009. uninstall: uninstall-am
  1010. install-am: all-am
  1011. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1012. installcheck: installcheck-am
  1013. install-strip:
  1014. if test -z '$(STRIP)'; then \
  1015. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1016. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1017. install; \
  1018. else \
  1019. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1020. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1021. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1022. fi
  1023. mostlyclean-generic:
  1024. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1025. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1026. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1027. clean-generic:
  1028. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1029. distclean-generic:
  1030. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1031. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1032. maintainer-clean-generic:
  1033. @echo "This command is intended for maintainers to use"
  1034. @echo "it deletes files that may require special tools to rebuild."
  1035. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1036. clean: clean-am
  1037. clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
  1038. clean-securelibLTLIBRARIES mostlyclean-am
  1039. distclean: distclean-am
  1040. -rm -f ./$(DEPDIR)/pam_localuser.Plo
  1041. -rm -f ./$(DEPDIR)/tst-pam_localuser-retval.Po
  1042. -rm -f Makefile
  1043. distclean-am: clean-am distclean-compile distclean-generic \
  1044. distclean-tags
  1045. dvi: dvi-am
  1046. dvi-am:
  1047. html: html-am
  1048. html-am:
  1049. info: info-am
  1050. info-am:
  1051. install-data-am: install-man install-securelibLTLIBRARIES
  1052. install-dvi: install-dvi-am
  1053. install-dvi-am:
  1054. install-exec-am:
  1055. install-html: install-html-am
  1056. install-html-am:
  1057. install-info: install-info-am
  1058. install-info-am:
  1059. install-man: install-man8
  1060. install-pdf: install-pdf-am
  1061. install-pdf-am:
  1062. install-ps: install-ps-am
  1063. install-ps-am:
  1064. installcheck-am:
  1065. maintainer-clean: maintainer-clean-am
  1066. -rm -f ./$(DEPDIR)/pam_localuser.Plo
  1067. -rm -f ./$(DEPDIR)/tst-pam_localuser-retval.Po
  1068. -rm -f Makefile
  1069. maintainer-clean-am: distclean-am maintainer-clean-generic
  1070. mostlyclean: mostlyclean-am
  1071. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1072. mostlyclean-libtool
  1073. pdf: pdf-am
  1074. pdf-am:
  1075. ps: ps-am
  1076. ps-am:
  1077. uninstall-am: uninstall-man uninstall-securelibLTLIBRARIES
  1078. uninstall-man: uninstall-man8
  1079. .MAKE: check-am install-am install-strip
  1080. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1081. check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
  1082. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1083. distclean distclean-compile distclean-generic \
  1084. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1085. html-am info info-am install install-am install-data \
  1086. install-data-am install-dvi install-dvi-am install-exec \
  1087. install-exec-am install-html install-html-am install-info \
  1088. install-info-am install-man install-man8 install-pdf \
  1089. install-pdf-am install-ps install-ps-am \
  1090. install-securelibLTLIBRARIES install-strip installcheck \
  1091. installcheck-am installdirs maintainer-clean \
  1092. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1093. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1094. recheck tags tags-am uninstall uninstall-am uninstall-man \
  1095. uninstall-man8 uninstall-securelibLTLIBRARIES
  1096. .PRECIOUS: Makefile
  1097. @ENABLE_REGENERATE_MAN_TRUE@-include $(top_srcdir)/Make.xml.rules
  1098. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1099. # Otherwise a system limit (for SysV at least) may be exceeded.
  1100. .NOEXPORT: